DoubleLcmPredicate Class Reference

## Public Member Functions

| DoubleLcmPredicate (const Term &lcm)
bool | operator() (const Exponent *term)

## Private Member Functions

void | operator= (const DoubleLcmPredicate &)

## Private Attributes

const Term & | _lcm

## Detailed Description

Definition at line 171 of file MsmSlice.cpp.

## Constructor & Destructor Documentation

## DoubleLcmPredicate()

DoubleLcmPredicate::DoubleLcmPredicate | ( | const Term & | lcm | ) |

inline

Definition at line 173 of file MsmSlice.cpp.

## Member Function Documentation

## operator()()

bool DoubleLcmPredicate::operator() | ( | const Exponent * | term | ) |

inline

Definition at line 177 of file MsmSlice.cpp.

## operator=()

void DoubleLcmPredicate::operator= | ( | const DoubleLcmPredicate & |  | ) |

private

## Member Data Documentation

## _lcm

const Term& DoubleLcmPredicate::_lcm

private

Definition at line 192 of file MsmSlice.cpp.

The documentation for this class was generated from the following file:

- src/MsmSlice.cpp